package com.liquidnet.service.kylin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;
import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 场次关联
 * </p>
 *
 * @author liquidnet
 * @since 2021-05-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class KylinTicketTimeRelation implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "mid", type = IdType.AUTO)
    private Integer mid;

    /**
     * ticket_time_relation_id
     */
    private String ticketTimeRelationId;

    /**
     * 场次id
     */
    private String timesId;

    /**
     * 关联演出id
     */
    private String performanceId;

    /**
     * 创建时间
     */
    private LocalDateTime createdAt;

    /**
     * 修改时间
     */
    private LocalDateTime updatedAt;

    private static final KylinTicketTimeRelation obj = new KylinTicketTimeRelation();

    public static KylinTicketTimeRelation getNew() {
        try {
            return (KylinTicketTimeRelation) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new KylinTicketTimeRelation();
        }
    }

    public Object[] insert(KylinTicketTimeRelation vo) {
        return new Object[]{
                vo.getTicketTimeRelationId(), vo.getTimesId(), vo.getPerformanceId(),
                vo.getCreatedAt(), vo.getUpdatedAt()
        };
    }
}
